Skip to main content
POST
/
v2
/
parties
/
external
/
allocate
/v2/parties/external/allocate
curl --request POST \
  --url https://api.example.com/v2/parties/external/allocate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "synchronizer": "<string>",
  "onboardingTransactions": [
    {
      "transaction": "<string>",
      "signatures": [
        {
          "format": "<string>",
          "signature": "<string>",
          "signedBy": "<string>",
          "signingAlgorithmSpec": "<string>"
        }
      ]
    }
  ],
  "multiHashSignatures": [
    {
      "format": "<string>",
      "signature": "<string>",
      "signedBy": "<string>",
      "signingAlgorithmSpec": "<string>"
    }
  ],
  "identityProviderId": "<string>",
  "waitForAllocation": true,
  "userId": "<string>"
}
'
{
  "partyId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Body

application/json

Required authorization: HasRight(ParticipantAdmin) OR IsAuthenticatedIdentityProviderAdmin(identity_provider_id) OR IsAuthenticatedUser(user_id)

synchronizer
string
required

TODO(#27670) support synchronizer aliases Synchronizer ID on which to onboard the party

Required

onboardingTransactions
SignedTransaction · object[]
required

TopologyTransactions to onboard the external party Can contain:

  • A namespace for the party. This can be either a single NamespaceDelegation, or DecentralizedNamespaceDefinition along with its authorized namespace owners in the form of NamespaceDelegations. May be provided, if so it must be fully authorized by the signatures in this request combined with the existing topology state.
  • A PartyToParticipant to register the hosting relationship of the party, and the party's signing keys and threshold. Must be provided.

Required: must be non-empty

multiHashSignatures
Signature · object[]

Optional signatures of the combined hash of all onboarding_transactions This may be used instead of providing signatures on each individual transaction

Optional: can be empty

identityProviderId
string

The id of the Identity Provider If not set, assume the party is managed by the default identity provider.

Optional

waitForAllocation
boolean

When true, this RPC will attempt to wait for the party to be allocated on the synchronizer before returning. When false, the allocation will happen asynchronously. This is a best effort only as this synchronization is only possible for non decentralized parties (single hosting node). For decentralized parties, this flag is ignored. Defaults to true.

Optional

userId
string

The user who will get the act_as rights to the newly allocated party. If set to an empty string (the default), no user will get rights to the party.

Optional

Response

partyId
string
required

The allocated party id

Required